if (FML.isModLoaded("ThermalExpansion") && ThermalExpansion_enabled) {
    NEI.override("ThermalExpansion:florb", [0, 1]);
    NEI.hide("ThermalExpansion", "meter");

	NEI.hide("ThermalFoundation", "lexicon");


	NEI.override("ThermalExpansion", "capacitor", [1, 2, 3, 4, 5]);
	NEI.override("ThermalExpansion", "Cell", [1, 2, 3, 4]);
	NEI.override("ThermalExpansion", "Tank", [1, 2, 3, 4]);
	NEI.override("simplyjetpacks", "fluxpacks", [1, 2, 3, 4, 102, 103, 104]);
	NEI.override("ThermalExpansion", "Strongbox", [1, 2, 3, 4]);
	NEI.override("ThermalExpansion", "Sponge", [1, 2]);
	NEI.override("ThermalExpansion", "Workbench", [1, 2, 3, 4]);

	NEI.hide("ThermalFoundation", "tool.pickaxePlatinum");
	NEI.hide("ThermalFoundation", "tool.pickaxeLead");
	NEI.hide("ThermalFoundation", "tool.pickaxeCopper");
	NEI.hide("ThermalFoundation", "tool.pickaxeTin");
	NEI.hide("ThermalFoundation", "tool.pickaxeSilver");
	NEI.hide("ThermalFoundation", "tool.pickaxeNickel");
	NEI.hide("ThermalFoundation", "tool.pickaxeElectrum");
	NEI.hide("ThermalFoundation", "tool.pickaxeBronze");
	NEI.hide("TurkeyUtil", "Flint_Pickaxe");

	NEI.hide("ThermalFoundation", "tool.shovelInvar");
	NEI.hide("ThermalFoundation", "tool.shovelSilver");
	NEI.hide("ThermalFoundation", "tool.shovelNickel");
	NEI.hide("ThermalFoundation", "tool.shovelCopper");
	NEI.hide("ThermalFoundation", "tool.shovelPlatinum");
	NEI.hide("ThermalFoundation", "tool.shovelElectrum");
	NEI.hide("ThermalFoundation", "tool.shovelLead");
	NEI.hide("ThermalFoundation", "tool.shovelTin");
	NEI.hide("ThermalFoundation", "tool.shovelBronze");
	NEI.hide("TurkeyUtil", "Flint_Shovel");
	NEI.hide("ThermalFoundation", "tool.hoeInvar");
	NEI.hide("ThermalFoundation", "tool.hoeElectrum");
	NEI.hide("ThermalFoundation", "tool.hoeTin");
	NEI.hide("ThermalFoundation", "tool.hoeLead");
	NEI.hide("ThermalFoundation", "tool.hoeNickel");
	NEI.hide("ThermalFoundation", "tool.hoePlatinum");
	NEI.hide("ThermalFoundation", "tool.hoeSilver");
	NEI.hide("ThermalFoundation", "tool.hoeCopper");
	NEI.hide("ThermalFoundation", "tool.hoeBronze");
	NEI.hide("TurkeyUtil", "Flint_Hoe");
	NEI.hide("TurkeyUtil", "Flint_Axe");
	NEI.hide("ThermalFoundation", "tool.axeTin");
	NEI.hide("ThermalFoundation", "tool.axeCopper");
	NEI.hide("ThermalFoundation", "tool.axeSilver");
	NEI.hide("ThermalFoundation", "tool.axeBronze");
	NEI.hide("ThermalFoundation", "tool.axePlatinum");
	NEI.hide("ThermalFoundation", "tool.axeLead");
	NEI.hide("ThermalFoundation", "tool.axeElectrum");
	NEI.hide("ThermalFoundation", "tool.axeNickel");
	NEI.hide("ThermalFoundation", "tool.bowInvar");
	NEI.hide("ThermalFoundation", "tool.bowBronze");
	NEI.hide("ThermalFoundation", "tool.bowCopper");
	NEI.hide("ThermalFoundation", "tool.bowSilver");
	NEI.hide("ThermalFoundation", "tool.bowLead");
	NEI.hide("ThermalFoundation", "tool.bowNickel");
	NEI.hide("ThermalFoundation", "tool.bowPlatinum");
	NEI.hide("ThermalFoundation", "tool.bowElectrum");
	NEI.hide("ThermalFoundation", "tool.bowTin");
	NEI.hide("ThermalFoundation", "tool.pickaxePlatinum");
	NEI.hide("ThermalFoundation", "tool.sickleInvar");
	NEI.hide("ThermalFoundation", "tool.sickleTin");
	NEI.hide("ThermalFoundation", "tool.sickleSilver");
	NEI.hide("ThermalFoundation", "tool.sickleCopper");
	NEI.hide("ThermalFoundation", "tool.sickleNickel");
	NEI.hide("ThermalFoundation", "tool.sicklePlatinum");
	NEI.hide("ThermalFoundation", "tool.pickaxeLead");
	NEI.hide("ThermalFoundation", "tool.sickleLead");
	NEI.hide("ThermalFoundation", "tool.sickleBronze");
	NEI.hide("ThermalFoundation", "tool.sickleWood");
	NEI.hide("ThermalFoundation", "tool.sickleElectrum");
	NEI.hide("ThermalFoundation", "tool.sickleStone");
	NEI.hide("ThermalFoundation", "tool.shearsStone");


}